Subject: Re: [PATCH net-next v3 08/11] net: ethernet: ti: cpts: move rx timestamp processing to ptp worker only

From: Richard Cochran <[email-masked]>
Date: Tue, 24 Mar 2020 09:54:14 -0700

On Tue, Mar 24, 2020 at 05:34:34PM +0200, Grygorii Strashko wrote:
> I tested both ways and kept this version as i'v not seen any degradation,
> but, of course, i'll redo the test (or may be you can advise what test to run).

Measure the time delay from when the frame arrives in the stack until
that frame+RxTimestamp arrives in the application.  I expect the round
about way via kthread takes longer. 
 
> My thoughts were - network stack might not immediately deliver packet to the application

The network stack always delivers the packet, but you artificially
delay that delivery by calling netif_receive_skb() later on from
cpts_match_rx_ts().

> and PTP worker can be tuned (pri and smp_affinity),

That won't avoid the net softirq.

> resulted code will be more structured,

I am afraid people will copy this pattern in new drivers.  It really
does not make much sense.

Thanks,
Richard